/*
===============
    Sidebar
===============
*/
.sidebar-wrapper {
    /*width: 200px;*/
    /*width: 208px;*/
    width: 206px;
    width: 212px;
    position: fixed;
    z-index: 1028;
    border-radius: 6px 6px 0 0;
    transition: .600s;
    height: 100vh;
    touch-action: none;
    user-select: none;
    -webkit-user-drag: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
    top: 106px;
    left: 16px;
}

.sidebar-theme {
    background: transparent;
}

.sidebar-closed.main-container {
    padding: 0;
}

.sidebar-closed > .sidebar-wrapper {
    left: -270px;
}

.sidebar-closed > #content {
    margin-left: 0;
}

#sidebar .navbar-brand .img-fluid {
    display: inline;
    width: 44px;
    height: auto;
    margin-left: 20px;
    margin-top: 5px;
}

#sidebar .border-underline {
    border-left: 1px solid #ccc;
    height: 20px;
    margin-top: 18px;
    margin-left: 0px;
    margin-right: 8px;
}

#sidebar * {
    overflow: hidden;
    white-space: nowrap;
}

.shadow-bottom {
    display: block;
    position: absolute;
    z-index: 2;
    height: 33px;
    width: 100%;
    pointer-events: none;
    margin-top: -13px;
    left: -4px;
    -webkit-filter: blur(5px);
    filter: blur(3px);
    background: -webkit-linear-gradient(180deg, #f1f2f3 49%, #f1f2f3f2 85%, #2C303C00);
    background: linear-gradient(#F2F4F4 41%, rgba(255, 255, 255, .11) 95%, rgba(255, 255, 255, 0));
}

#sidebar ul.menu-categories {
    position: relative;
    margin: auto;
    width: 100%;
    height: calc(100vh - 127px) !important;
    /*padding: 24px 0 0 0;*/
    overflow: hidden;
}

#sidebar ul.menu-categories.ps {
    height: calc(100vh - 107px) !important;
    margin-right: 0;
    padding-right: 22px;
    border-right: 1px solid #e0e6ed;
}

#sidebar .ps__thumb-y {
    right: 4px;
}

#sidebar ul.menu-categories li > .dropdown-toggle[data-active="true"] svg.feather-chevron-right {
    transform: rotate(90deg);
}

#sidebar ul.menu-categories li > .dropdown-toggle[aria-expanded="true"] svg.feather-chevron-right {
    transform: rotate(90deg);
}

#sidebar ul.menu-categories li.menu:first-child ul.submenu > li a {
    justify-content: flex-start;
}

#sidebar ul.menu-categories li.menu:first-child ul.submenu > li a i {
    align-self: center;
    margin-right: 12px;
    font-size: 19px;
    width: 21px;
}

#sidebar ul.menu-categories li.menu:first-child > .dropdown-toggle {
    margin-top: 21px;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle {
    display: flex;
    justify-content: space-between;
    cursor: pointer;
    font-size: 13px;
    color: #0e1726;
    padding: 11px 14px;
    transition: .600s;
    margin-bottom: 4px;
    font-weight: 600;
    letter-spacing: 1px;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle > div {
    align-self: center;
}

#sidebar ul.menu-categories li.menu .dropdown-toggle:after {
    display: none;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle svg {
    color: #506690;
    margin-right: 10px;
    vertical-align: middle;
    width: 20px;
    height: 20px;
    fill: rgba(0, 23, 55, 0.08);
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"] {
    background: #fff;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .1), 0 1px 2px 0 rgba(0, 0, 0, .06);
    border-radius: 6px;
    color: #0e1726;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"] svg {
    color: #000342;
    fill: #acb0c3;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"]:hover svg {
    color: #000342;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"] span {
    color: #000342;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle:hover, #sidebar ul.menu-categories li.menu > .dropdown-toggle.dropdown-toggle:not([data-active="true"]):not([aria-expanded="true"]):hover {
    background: #bfc9d4;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .1), 0 1px 2px 0 rgba(0, 0, 0, .06);
    border-radius: 6px;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[aria-expanded="true"]:not([data-active="true"]) {
    background: #bfc9d4;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, .1), 0 1px 2px 0 rgba(0, 0, 0, .06);
    border-radius: 6px;
    color: #0e1726;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle:hover svg,
#sidebar ul.menu-categories li.menu > .dropdown-toggle[aria-expanded="true"]:not([data-active="true"]) svg {
    color: #000342;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[aria-expanded="true"]:not([data-active="true"]) svg {
    color: #506690;
    fill: rgba(27, 85, 226, 0.23921568627450981);
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle svg.feather-chevron-right,
#sidebar ul.menu-categories li.menu > .dropdown-toggle svg.feather-chevron-right {
    vertical-align: middle;
    margin-right: 0;
    width: 15px;
}

#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"] svg.flaticon-right-arrow,
#sidebar ul.menu-categories li.menu > .dropdown-toggle[data-active="true"] svg.flaticon-down-arrow {
    background-color: transparent;
}

#sidebar ul.menu-categories li.menu > a span:not(.badge) {
    vertical-align: middle;
}

#sidebar ul.menu-categories ul.submenu > li a {
    position: relative;
    display: flex;
    justify-content: space-between;
    padding: 10px 12px 10px 48px;
    padding-left: 24px;
    margin-left: 36px;
    font-size: 13px;
    color: #515365;
}

#sidebar ul.menu-categories li.menu ul.submenu > li a:before {
    content: '';
    background-color: #d3d3d3;
    position: absolute;
    height: 3px;
    width: 3px;
    top: 17.5px;
    left: 13px;
    border-radius: 50%;
}

#sidebar ul.menu-categories ul.submenu > li.active a {
    color: #1b55e2;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    font-weight: 600;
}

#sidebar ul.menu-categories li.menu ul.submenu > li.active a:before {
    background-color: #1b55e2;
}

#sidebar ul.menu-categories ul.submenu > li.active {
    position: relative;
}

#sidebar ul.menu-categories ul.submenu > li a:hover {
    color: #1b55e2;
}

#sidebar ul.menu-categories ul.submenu > li a:hover:before {
    background-color: #1b55e2 !important;
}

#sidebar ul.menu-categories ul.submenu > li a i {
    align-self: center;
    font-size: 9px;
}

#sidebar ul.menu-categories ul.submenu li > [data-active="true"] i {
    color: #1b55e2;
}

#sidebar ul.menu-categories ul.submenu li > [data-active="true"]:before {
    background-color: #1b55e2 !important;
}

#sidebar ul.menu-categories ul.submenu li > a[data-active="true"] {
    color: #1b55e2;
}

#sidebar ul.menu-categories ul.submenu > li ul.sub-submenu > li a {
    position: relative;
    padding: 10px 12px 10px 48px;
    padding-left: 13px;
    margin-left: 47px;
    font-size: 12px;
    color: #515365;
}

#sidebar ul.menu-categories ul.submenu > li ul.sub-submenu > li.active a {
    color: #5c1ac3;
}

#sidebar ul.menu-categories ul.submenu > li ul.sub-submenu > li a:hover {
    color: #1b55e2;
}

#sidebar ul.menu-categories ul.submenu > li ul.sub-submenu > li a:before {
    display: none;
}

#sidebar ul.menu-categories ul.submenu > li ul.sub-submenu > li.active a:before {
    background-color: #1b55e2;
}

.overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, .4);
    z-index: 1035 !important;
    opacity: 0;
    transition: all 0.5s ease-in-out;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;

    touch-action: pan-y;
    user-select: none;
    -webkit-user-drag: none;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.e-animated {
    -webkit-animation-duration: 0.6s;
    animation-duration: 0.6s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both
}

@-webkit-keyframes e-fadeInUp {
    0% {
        opacity: 0;
        margin-top: 10px;
    }
    100% {
        opacity: 1;
        margin-top: 0;
    }
}

@keyframes e-fadeInUp {
    0% {
        opacity: 0;
        margin-top: 10px;
    }
    100% {
        opacity: 1;
        margin-top: 0;
    }
}

.e-fadeInUp {
    -webkit-animation-name: e-fadeInUp;
    animation-name: e-fadeInUp
}

#sidebar ul.menu-categories .ps__rail-y {
    right: -4px !important;
}

#sidebar ul li a:hover {
    text-decoration: none;
}